# cf.Flags

class `cf.``Flags`(**kwargs)

  Bases: `object`

  Self-describing CF flag values.

  Stores the flag_values, flag_meanings and flag_masks CF attributes in an internally consistent manner.

  Initialization

  Parameters: | flag_values : optional The flag_values CF property. Sets the `flag_values` attribute. flag_meanings : optional The flag_meanings CF property. Sets the `flag_meanings` attribute. flag_masks : optional The flag_masks CF property. Sets the `flag_masks` attribute.

## Attributes

`flag_masks` | The flag_masks CF attribute.
`flag_meanings` | The flag_meanings CF attribute.
`flag_values` | The flag_values CF attribute.

## Methods

`copy` | Return a deep copy.
`dump` | Return a string containing a full description of the instance.
`equals` | True if two groups of flags are logically equal, False otherwise.
`sort` | Sort the flags in place.